import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  CancelHarvestJobRequest,
  CancelHarvestJobResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface CancelHarvestJobCommandInput extends CancelHarvestJobRequest {}
export interface CancelHarvestJobCommandOutput
  extends CancelHarvestJobResponse,
    __MetadataBearer {}
declare const CancelHarvestJobCommand_base: {
  new (
    input: CancelHarvestJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CancelHarvestJobCommandInput,
    CancelHarvestJobCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: CancelHarvestJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CancelHarvestJobCommandInput,
    CancelHarvestJobCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CancelHarvestJobCommand extends CancelHarvestJobCommand_base {
  protected static __types: {
    api: {
      input: CancelHarvestJobRequest;
      output: {};
    };
    sdk: {
      input: CancelHarvestJobCommandInput;
      output: CancelHarvestJobCommandOutput;
    };
  };
}
