import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  CreateHarvestJobRequest,
  CreateHarvestJobResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface CreateHarvestJobCommandInput extends CreateHarvestJobRequest {}
export interface CreateHarvestJobCommandOutput
  extends CreateHarvestJobResponse,
    __MetadataBearer {}
declare const CreateHarvestJobCommand_base: {
  new (
    input: CreateHarvestJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateHarvestJobCommandInput,
    CreateHarvestJobCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: CreateHarvestJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateHarvestJobCommandInput,
    CreateHarvestJobCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreateHarvestJobCommand extends CreateHarvestJobCommand_base {
  protected static __types: {
    api: {
      input: CreateHarvestJobRequest;
      output: CreateHarvestJobResponse;
    };
    sdk: {
      input: CreateHarvestJobCommandInput;
      output: CreateHarvestJobCommandOutput;
    };
  };
}
