import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  ListHarvestJobsRequest,
  ListHarvestJobsResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface ListHarvestJobsCommandInput extends ListHarvestJobsRequest {}
export interface ListHarvestJobsCommandOutput
  extends ListHarvestJobsResponse,
    __MetadataBearer {}
declare const ListHarvestJobsCommand_base: {
  new (
    input: ListHarvestJobsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListHarvestJobsCommandInput,
    ListHarvestJobsCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ListHarvestJobsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListHarvestJobsCommandInput,
    ListHarvestJobsCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListHarvestJobsCommand extends ListHarvestJobsCommand_base {
  protected static __types: {
    api: {
      input: ListHarvestJobsRequest;
      output: ListHarvestJobsResponse;
    };
    sdk: {
      input: ListHarvestJobsCommandInput;
      output: ListHarvestJobsCommandOutput;
    };
  };
}
