import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  ResetOriginEndpointStateRequest,
  ResetOriginEndpointStateResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface ResetOriginEndpointStateCommandInput
  extends ResetOriginEndpointStateRequest {}
export interface ResetOriginEndpointStateCommandOutput
  extends ResetOriginEndpointStateResponse,
    __MetadataBearer {}
declare const ResetOriginEndpointStateCommand_base: {
  new (
    input: ResetOriginEndpointStateCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ResetOriginEndpointStateCommandInput,
    ResetOriginEndpointStateCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ResetOriginEndpointStateCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ResetOriginEndpointStateCommandInput,
    ResetOriginEndpointStateCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ResetOriginEndpointStateCommand extends ResetOriginEndpointStateCommand_base {
  protected static __types: {
    api: {
      input: ResetOriginEndpointStateRequest;
      output: ResetOriginEndpointStateResponse;
    };
    sdk: {
      input: ResetOriginEndpointStateCommandInput;
      output: ResetOriginEndpointStateCommandOutput;
    };
  };
}
