import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  CreateOriginEndpointRequest,
  CreateOriginEndpointResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface CreateOriginEndpointCommandInput
  extends CreateOriginEndpointRequest {}
export interface CreateOriginEndpointCommandOutput
  extends CreateOriginEndpointResponse,
    __MetadataBearer {}
declare const CreateOriginEndpointCommand_base: {
  new (
    input: CreateOriginEndpointCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateOriginEndpointCommandInput,
    CreateOriginEndpointCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: CreateOriginEndpointCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateOriginEndpointCommandInput,
    CreateOriginEndpointCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreateOriginEndpointCommand extends CreateOriginEndpointCommand_base {
  protected static __types: {
    api: {
      input: CreateOriginEndpointRequest;
      output: CreateOriginEndpointResponse;
    };
    sdk: {
      input: CreateOriginEndpointCommandInput;
      output: CreateOriginEndpointCommandOutput;
    };
  };
}
