import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  GetHarvestJobRequest,
  GetHarvestJobResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface GetHarvestJobCommandInput extends GetHarvestJobRequest {}
export interface GetHarvestJobCommandOutput
  extends GetHarvestJobResponse,
    __MetadataBearer {}
declare const GetHarvestJobCommand_base: {
  new (
    input: GetHarvestJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetHarvestJobCommandInput,
    GetHarvestJobCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: GetHarvestJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetHarvestJobCommandInput,
    GetHarvestJobCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetHarvestJobCommand extends GetHarvestJobCommand_base {
  protected static __types: {
    api: {
      input: GetHarvestJobRequest;
      output: GetHarvestJobResponse;
    };
    sdk: {
      input: GetHarvestJobCommandInput;
      output: GetHarvestJobCommandOutput;
    };
  };
}
