import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  ResetChannelStateRequest,
  ResetChannelStateResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface ResetChannelStateCommandInput
  extends ResetChannelStateRequest {}
export interface ResetChannelStateCommandOutput
  extends ResetChannelStateResponse,
    __MetadataBearer {}
declare const ResetChannelStateCommand_base: {
  new (
    input: ResetChannelStateCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ResetChannelStateCommandInput,
    ResetChannelStateCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ResetChannelStateCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ResetChannelStateCommandInput,
    ResetChannelStateCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ResetChannelStateCommand extends ResetChannelStateCommand_base {
  protected static __types: {
    api: {
      input: ResetChannelStateRequest;
      output: ResetChannelStateResponse;
    };
    sdk: {
      input: ResetChannelStateCommandInput;
      output: ResetChannelStateCommandOutput;
    };
  };
}
